Katello default template boot loop (wrong foreman_url)
06/02/2017 02:01 AM - Denis Mller

Status: Closed
Priority: Normal
Assignee:

Category: Templates

Target version:
Triaged: Found in Releases: 1.15.0

Fixed in Releases:

Description
Hello,

after the host was built, it is still getting the same "install-kickstart" configuration over tftp. Over and over again. | have to shutdown
the machine manually, chane the boot order to disk and start the mavm again. How cat i do fix it?

Related issues:
Related to Katello - Bug #17903: Unattended template doesn't call 'built' Closed 01/03/2017

History

#1 - 06/07/2017 10:44 PM - Eric Helms
- Project changed from Katello to Foreman

- translation missing: en.field_release changed from 228 to 248

#2 - 06/08/2017 09:02 AM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 248 to 266

#3 - 06/09/2017 04:38 AM - Anonymous

- translation missing: en.field_release deleted (266)

#4 - 06/12/2017 03:23 AM - Marek Hulan
- Category set to TFTP

Please check the production.log and the foreman proxy logs. Either the callback to Foreman fails (e.g. some networking issue) so the host is not
marked as built or the TFTP change fails for some reason. Also make sure you go through
http:/projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-to-provide-enough-info-to-get-help

#5 - 06/12/2017 03:38 PM - Anonymous
- File anaconda-ks.cfg added

- File production.log_finishing.txt added

- File build_loop.jpg added

Hey,

Denis is absent on buisiness so i try to represent him.

Sadly we don't have any errors or exception logged neither in production.log nor in proxy.log.

The provisioning of a CentOS 7.3.1611 host finished without problems. | tried manually to "Inform the build system that we are done" like in the
kickstart file and attached the appropriate production.log snippet.

Tell me if i can provide more specific information.

#6 - 06/13/2017 03:10 AM - Marek Hulan

Interesting, | reviewed your anaconda template and for some reason, it generates wrong url for "Inform the build system that we are done" callback.
Normally it should look like
http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-to-provide-enough-info-to-get-help

wget -q -O /dev/null --no-check-certificate http:/+++foreman url+++/unattended/built?token=a2f97d38-2813-46e1-8839-a3ed522a006e
in your case it's
wget -q -O /dev/null --no-check-certificate http://+++foreman url+++/unattended/provision?token=a2f97d38-2813-46e1-8839-a3ed522a006e

Did you modify the template? Could you post it's current content? It seems Foreman never finds out that the host is built and therefore it does not
even try to change the TFTP configuration.

#7 - 06/13/2017 05:19 AM - Anonymous
- File 00-Katello_Kickstart _Default.erb added

Resolving the provisioning templates shows that we're using '00-Katello Kickstart Default' for this host.
We only added some snippets to this template, we didn't touched the ‘foreman_url'.

#8 - 06/13/2017 06:58 AM - Daniel Lobato Garcia
- Tracker changed from Bug to Support

- Subject changed from Build loop to Katello default template boot loop (wrong foreman_uri)

| think the problem with it is that on 1.15 onward, the template was updated. “foreman_url® resolves to the provision URL, so to get the real one you
have to call “foreman_url('built")".
| believe you can get this fix by updating Katello, but if that's not possible, see the changes here, it's quite small.

https:/github.com/Katello/katello/commit/d3541c40379d9dab7{4511199c0f9a0b1228d183

Hope this works :)

#9 - 06/13/2017 07:30 AM - Marek Hulan
- Related to Bug #17903: Unattended template doesn't call 'built' added

#10 - 06/13/2017 07:30 AM - Marek Hulan
- Category changed from TFTP to Templates

Based on the name, this template does not come directly from Katello but is some custom version. Therefore it was not updated. Anyway, | agree,
foreman_url needs to be changed to foreman_url('built'). Please let us know whether it helped.

#11 - 06/13/2017 09:19 AM - Anonymous

| see we have a 'Katello Kickstart Default' template as well, there it is already foreman_url(‘built'). So the template with the '00-' prefix must be our
customized copy, you're right.
| modified our template appropriately and the provisioning works as it should. Thank you.

Is this new for the Katello version 3.47?
We have recently updated Katello to 3.4.0.2.

#12 - 06/13/2017 12:49 PM - Daniel Lobato Garcia

- Status changed from New to Closed

Yes, this changed on Foreman 1.15, and Katello 3.4 adapted to it. Glad to hear it's solved!

Files

anaconda-ks.cfg 5.25 KB 06/12/2017 Anonymous
production.log_finishing.txt 7.94 KB 06/12/2017 Anonymous
build_loop.jpg 149 KB 06/12/2017 Anonymous
00-Katello_Kickstart_Default.erb 2.89 KB 06/13/2017 Anonymous
